aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorStefano Stabellini <stefano.stabellini@eu.citrix.com>2011-09-13 10:27:20 +0100
committerStefano Stabellini <stefano.stabellini@eu.citrix.com>2011-09-13 10:27:20 +0100
commit088276d61547773da1840589c708b4202a7cfb10 (patch)
tree1e59063a71b646b4667c7101a3c6d36a0ef0fb5f /scripts
parent5b6fdcc0d8817b6b9bd896014784cc89385ed0bb (diff)
downloadxen-088276d61547773da1840589c708b4202a7cfb10.tar.gz
xen-088276d61547773da1840589c708b4202a7cfb10.tar.bz2
xen-088276d61547773da1840589c708b4202a7cfb10.zip
Move the ioemu-dir-find shell script to an external file
Add support for configuring upstream qemu and rename ioemu-remote ioemu-dir-remote. Signed-off-by: Stefano Stabellini <stefano.stabellini@eu.citrix.com>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/git-checkout.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/scripts/git-checkout.sh b/scripts/git-checkout.sh
new file mode 100644
index 0000000000..3f3212662b
--- /dev/null
+++ b/scripts/git-checkout.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+TREE=$1
+TAG=$2
+DIR=$3
+
+
+if test -d $TREE; then
+ mkdir -p $DIR
+ ROOT=$TREE
+else
+ if test \! -d $DIR-remote; then
+ rm -rf $DIR-remote $DIR-remote.tmp;
+ mkdir $DIR-remote.tmp; rmdir $DIR-remote.tmp;
+ git clone $TREE $DIR-remote.tmp;
+ if test "$TAG" ; then
+ cd $DIR-remote.tmp
+ git branch -D dummy >/dev/null 2>&1 ||:
+ git checkout -b dummy $TAG
+ cd ..
+ fi
+ mv $DIR-remote.tmp $DIR-remote
+ fi
+ rm -f $DIR
+ ln -sf $DIR-remote $DIR
+ ROOT=.
+fi
+
+set -e
+cd $DIR
+# is this qemu-xen-traditional?
+if test -f $ROOT/xen-setup; then
+ $ROOT/xen-setup $IOEMU_CONFIGURE_CROSS
+# is this qemu-xen?
+elif test -f $ROOT/configure; then
+ cd $ROOT
+ ./configure --enable-xen --target-list=i386-softmmu \
+ --extra-cflags="-I$XEN_ROOT/tools/include \
+ -I$XEN_ROOT/tools/libxc \
+ -I$XEN_ROOT/tools/xenstore" \
+ --extra-ldflags="-L$XEN_ROOT/tools/libxc \
+ -L$XEN_ROOT/tools/libxenstore" \
+ --bindir=/usr/lib/xen/bin \
+ --disable-kvm \
+ $IOEMU_CONFIGURE_CROSS
+fi